Subject: Poplar

From: [email-masked] (Warner Granade)
Date: Fri, 15 Apr 1994 16:10:42 GMT

Our poplar is about to come in bloom here in Virginia. How does one
collect just poplar honey when so much other stuff is in bloom right now?
Do I just put in some empty frames as the trees flower and then remove
them as soon as they stop? The bees are hived in the edge of a woods of
mostly poplar.
--
Warner Granade [email-masked]
804-924-7409